%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate konst_macro_rules

Name:           rust-konst_macro_rules
Version:        0.2.19
Release:    1%{?dist}
Summary:        Implementation detail of the konst crate

License:        Zlib
URL:            https://crates.io/crates/konst_macro_rules
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Implementation detail of the konst crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-ZLIB.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deref_raw_in_fn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deref_raw_in_fn-devel %{_description}

This package contains library source intended for building other packages which
use the "deref_raw_in_fn" feature of the "%{crate}" crate.

%files       -n %{name}+deref_raw_in_fn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mut_refs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mut_refs-devel %{_description}

This package contains library source intended for building other packages which
use the "mut_refs" feature of the "%{crate}" crate.

%files       -n %{name}+mut_refs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly_mut_refs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly_mut_refs-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly_mut_refs" feature of the "%{crate}" crate.

%files       -n %{name}+nightly_mut_refs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_51-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_51-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_51" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_51-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_55-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_55-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_55" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_55-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_56-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_56-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_56" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_56-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_57-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_57-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_57" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_57-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_61-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_61-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_61" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_61-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.19-1
- initial build
